import { ReactNode } from 'react';
export interface IconSliderProps {
    valueInterval?: {
        min: number;
        max: number;
    };
    value: number | number[];
    stepSize?: number;
    label?: {
        value: string;
        position: LabelPosition;
    };
    orientation: SliderOrientation;
    icon?: ReactNode;
    sliderColor?: {
        thumbColor?: string;
        trackColor?: string;
        railColor?: string;
    };
    size?: {
        track?: number;
        thumb?: number;
        valueWidth?: string;
    };
    valueDisplay?: {
        valueFormatter: (value: number | number[]) => string;
        horizontalModePos?: HorizontalModeValuePosition;
    };
    valueFormatter?: (value: number | number[]) => string;
    onChange: (event: Event, newValue: number | number[]) => void;
}
export declare enum HorizontalModeValuePosition {
    label = "label",
    end = "end"
}
export declare enum LabelPosition {
    top = "top",
    bottom = "bottom"
}
export declare enum SliderOrientation {
    vertical = "vertical",
    horizontal = "horizontal"
}
