import { createStyles } from '../styles'

export const sliderStyle = {
  margin: '5px',
  '& .MuiSlider-thumb': {
    height: 28,
    width: 28,
    backgroundColor: '#12574e',
    boxShadow: '0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24)',
    '&:focus, &:hover, &.Mui-active': {
      boxShadow: '0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24)',
      '@media (hover: none)': {
        boxShadow: '0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24)',
      },
    },
  },
  '& .MuiSlider-track': {
    border: 'none',
    width: 12,
    height: 12,
    background: '#146552',
  },
  '& .MuiSlider-rail': {
    border: 'none',
    background: '#8FC1B5',
    width: 12,
    height: 12,
    opacity: 1,
  },
  '& .MuiSlider-mark': {
    backgroundColor: '#777',
    width: 12,
    height: 12,
    '&.MuiSlider-markActive': {
      opacity: 1,
      backgroundColor: 'black',
    },
    '&[data-index="0"]': {
      display: 'none',
    },
    '&[data-index="5"]': {
      display: 'none',
    },
  },
}

export const styles = createStyles({
  label: {
    fontSize: '14px',
    fontWeight: 600,
    color: '#555',
    height: 'auto',
    width: 'auto',
  },
  container: {
    display: 'flex',
    alignItems: 'center',
    flexDirection: 'column',
    height: '100%',
    width: '100%',
  },
  value: {
    textAlign: 'center',
  },
})
