import { FeatureCollection } from 'geojson'

export interface MapProps {
  id: string
  tileUrl?: string
  height: string
  width: string
  center: [x: number, y: number]
  zoom: number
  icons?: MapIcon[]
  controls?: MapControls
  highlightArea?: MapHighlightArea
}

export interface MapIcon {
  name: string
  position: [x: number, y: number]
  src: string
  anchor?: [x: number, y: number]
  anchorXUnits?: 'fraction' | 'pixels'
  anchorYUnits?: 'fraction' | 'pixels'
  // imgSize?: number[]
  scale?: number
}

export interface MapControls {
  showZoomButtons?: boolean
}

export interface MapHighlightArea {
  geoJson: FeatureCollection
  strokeWidth: number
  strokeColor: string
  fillColor: string
}
