import React, { BaseSyntheticEvent } from 'react'
import { styles } from './Slider.style'
// import { styles } from './Slider.style';
import { SliderProps } from './Slider.types'
import './Style.css'

// TODO: Add slidingThumbColor to SlidingDateSelector and use it here - not possible with pure css or with inline style, maybe have to use styled component or set it programmatically? https://codesandbox.io/s/input-range-custom-styled-components-x149y?file=/src/index.js:3144-3170
const Slider = ({
  label,
  valueAsString,
  value,
  maxValue,
  minValue,
  changeValue,
  labelColor,
  slidingThumbColor = '#04AA6D',
  hidden = false,
  compact = false,
}: SliderProps) => {
  return (
    <div
      style={{
        ...styles.slideContainer,
        visibility: hidden ? 'hidden' : 'visible',
        marginTop: compact ? '6px' : '12px',
      }}
    >
      <p
        style={{
          ...styles.label,
          color: labelColor,
          fontSize: compact ? '16px' : '20px',
          fontWeight: compact ? 'bold' : 'normal',
        }}
      >
        {label}
        {valueAsString}
      </p>

      <input
        onInput={(e: BaseSyntheticEvent) => {
          const v = parseInt(e.target.valueAsNumber)
          changeValue(v)
        }}
        type="range"
        min={minValue}
        max={maxValue}
        value={value}
        id="myRange"
        className="slider"
      />

      <div style={{ display: 'flex', marginTop: 8 }}>
        <div
          style={{
            ...styles.minVal,
            color: labelColor,
          }}
        >
          {minValue}
        </div>
        <div
          style={{
            ...styles.maxVal,
            color: labelColor,
          }}
        >
          {maxValue}
        </div>
      </div>
    </div>
  )
}

export default Slider
