import React from 'react'
import { StoryFn, Meta } from '@storybook/react'
import SlidingDateSelector from '../../components/SlidingDateSelector'
import { SelectedDate } from '../../components/SlidingDateSelector/SlidingDateSelector.types'

export default {
  title: 'Date/SlidingDateSelector',
  component: SlidingDateSelector,
} as Meta<typeof SlidingDateSelector>

const Template: StoryFn<typeof SlidingDateSelector> = args => (
  <div style={{ width: '100%', height: '600px' }}>
    <SlidingDateSelector {...args} />
  </div>
)

const args = {
  minYear: 1950,
  maxYear: 2050,
  labelColor: 'grey',
  onDateUpdated: (date: SelectedDate) => console.log('date', date),
  primaryButtonColor: '#04AA6D',
  primaryButtonSelectedColor: '#12584E',
  secondaryButtonColor: '#3d84ab',
  initialDate: {
    year: 2022,
    month: 4,
    day: 12,
  },
  disableTodaySelection: false,
}

export const DateSelector = Template.bind({})
DateSelector.args = args

export const DateSelectorCompact = Template.bind({})
DateSelectorCompact.args = { ...args, compact: true }
